JAVAHELPER(1)

NAME
Javahelper - Part of the Java Helper packaging tools Refer to the tutorials in /usr/share/doc/javahelper for more detail

SYNOPSIS
jh_makepkg [options]

OPTIONS

-h --help: show this text

-V --version: show the version

-p<name> --package=<name>: Set the name of the package (defaults to directory name without version)

-m<name> --maintainer=<name>: Set the maintainer name (defaults to DEBFULLNAME, NAME, or the user's full name)

-e<email> --email=<email>: Set the maintainer email (defaults to DEBEMAIL EMAIL or user@host)

-v<version> --upstream=<version>: Set the upstream version (defaults to the directory name after a -)

-c --clean: Tidy up common problems with Java source packages. Removes .class, .jar files and pre-built javadoc trees before creating the orig.tar.gz

    Pick One: -l --library: This is a library package -a --app: This is an application package Pick One: -t --ant: Build with ant -k --makefiles: Build with make -n --none: Create own buildsystem Pick One: -d --default: Build with default free compiler -o --openjdk: Build with OpenJDK 6 -o7 --openjdk7: Build with OpenJDK 7 -o8 --openjdk8: Build with OpenJDK 8 -o9 --openjdk9: Build with OpenJDK 9 -o10 --openjdk10: Build with OpenJDK 10 -o11 --openjdk11: Build with OpenJDK 11

  Environment Variables:

    DEBEMAIL: Default maintainer email address EMAIL: Default maintainer email address DEBFULLNAME: Default maintainer name NAME: Default maintainer name